Index: code/branches/cegui0.8_ogre1.9/data/gui/layouts/HostMenu.layout
===================================================================
--- code/branches/cegui0.8_ogre1.9/data/gui/layouts/HostMenu.layout	(revision 11787)
+++ code/branches/cegui0.8_ogre1.9/data/gui/layouts/HostMenu.layout	(revision 11793)
@@ -1,55 +1,53 @@
-<?xml version="1.0" encoding="UTF-8"?>
-
-<GUILayout >
-    <Window Type="MenuWidgets/StaticImage" Name="orxonox/HostMenuBackground" >
-        <Property Name="FrameEnabled" Value="False" />
-        <Property Name="InheritsAlpha" Value="False" />
-        <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
-        <Property Name="UnifiedAreaRect" Value="{{0,0},{0,0},{1,0},{1,0}}" />
-        <Property Name="BackgroundEnabled" Value="False" />
-        <Window Type="MenuWidgets/StaticText" Name="orxonox/HostMenuWindow" >
-            <Property Name="Text" Value="Multiplayer" />
-            <Property Name="Alpha" Value="0.8" />
-            <Property Name="InheritsAlpha" Value="False" />
-            <Property Name="HorzFormatting" Value="HorzCentred" />
-            <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
-            <Property Name="VertFormatting" Value="TopAligned" />
-            <Property Name="UnifiedAreaRect" Value="{{0.25,0},{0.2875,0},{0.75,0},{0.7,0}}" />
-            <Window Type="MenuWidgets/Listbox" Name="orxonox/HostMenuListbox" >
-                <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
-                <Property Name="UnifiedAreaRect" Value="{{0.05,0},{0.15,0},{0.95,0},{0.85,0}}" />
+<?xml version='1.0' encoding='utf-8'?>
+<GUILayout version="4">
+    <Window name="HostMenuBackground" type="MenuWidgets/StaticImage">
+        <Property name="FrameEnabled" value="False" />
+        <Property name="InheritsAlpha" value="False" />
+        <Property name="MaxSize" value="{{1,0},{1,0}}" />
+        <Property name="Area" value="{{0,0},{0,0},{1,0},{1,0}}" />
+        <Property name="BackgroundEnabled" value="False" />
+        <Window name="HostMenuWindow" type="MenuWidgets/StaticText">
+            <Property name="Text" value="Multiplayer" />
+            <Property name="Alpha" value="0.8" />
+            <Property name="InheritsAlpha" value="False" />
+            <Property name="HorzFormatting" value="HorzCentred" />
+            <Property name="MaxSize" value="{{1,0},{1,0}}" />
+            <Property name="VertFormatting" value="TopAligned" />
+            <Property name="Area" value="{{0.25,0},{0.2875,0},{0.75,0},{0.7,0}}" />
+            <Window name="HostMenuListbox" type="MenuWidgets/Listbox">
+                <Property name="MaxSize" value="{{1,0},{1,0}}" />
+                <Property name="Area" value="{{0.05,0},{0.15,0},{0.95,0},{0.85,0}}" />
             </Window>
-            <Window Type="MenuWidgets/RadioButton" Name="orxonox/HostMenuHostButton" >
-                <Property Name="Text" Value="Build Server"/>
-                <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
-                <Property Name="UnifiedAreaRect" Value="{{0.1,0},{0.87,0},{0.3,0},{0.97,0}}" />
-                <Event Name="SelectStateChanged" Function="HostMenu.HostMenuBuildServerButton_clicked"/>
+            <Window name="HostMenuHostButton" type="MenuWidgets/RadioButton">
+                <Property name="Text" value="Build Server" />
+                <Property name="MaxSize" value="{{1,0},{1,0}}" />
+                <Property name="Area" value="{{0.1,0},{0.87,0},{0.3,0},{0.97,0}}" />
+                <Event function="HostMenu.HostMenuBuildServerButton_clicked" name="SelectStateChanged" />
             </Window>
-            <Window Type="MenuWidgets/RadioButton" Name="orxonox/HostMenuDedicatedButton" >
-                <Property Name="Text" Value="Dedicated" />
-                <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
-                <Property Name="UnifiedAreaRect" Value="{{0.5,0},{0.87,0},{0.7,0},{0.97,0}}" />
-                <Event Name="SelectStateChanged" Function="HostMenu.HostMenuDedicatedButton_clicked"/>
+            <Window name="HostMenuDedicatedButton" type="MenuWidgets/RadioButton">
+                <Property name="Text" value="Dedicated" />
+                <Property name="MaxSize" value="{{1,0},{1,0}}" />
+                <Property name="Area" value="{{0.5,0},{0.87,0},{0.7,0},{0.97,0}}" />
+                <Event function="HostMenu.HostMenuDedicatedButton_clicked" name="SelectStateChanged" />
             </Window>
-            <Window Type="MenuWidgets/Checkbox" Name="orxonox/MultiplayerShowAllCheckbox" >
-                <Property Name="Text" Value="show all" />
-                <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
-                <Property Name="UnifiedAreaRect" Value="{{0.8,0},{0.87,0},{1,0},{.97,0}}" />
-                <Event Name="CheckStateChanged" Function="HostMenu.MultiplayerShowAll_clicked"/>
+            <Window name="MultiplayerShowAllCheckbox" type="MenuWidgets/Checkbox">
+                <Property name="Text" value="show all" />
+                <Property name="MaxSize" value="{{1,0},{1,0}}" />
+                <Property name="Area" value="{{0.8,0},{0.87,0},{1,0},{.97,0}}" />
+                <Event function="HostMenu.MultiplayerShowAll_clicked" name="CheckStateChanged" />
             </Window>
         </Window>
-        <Window Type="MenuWidgets/Button" Name="orxonox/HostMenuStartButton" >
-            <Property Name="Text" Value="Start" />
-            <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
-            <Property Name="UnifiedAreaRect" Value="{{0.2875,0},{0.725,0},{0.4875,0},{0.775,0}}" />
-            <Event Name="Clicked" Function="HostMenu.HostMenuStartButton_clicked"/>
+        <Window name="HostMenuStartButton" type="MenuWidgets/Button">
+            <Property name="Text" value="Start" />
+            <Property name="MaxSize" value="{{1,0},{1,0}}" />
+            <Property name="Area" value="{{0.2875,0},{0.725,0},{0.4875,0},{0.775,0}}" />
+            <Event function="HostMenu.HostMenuStartButton_clicked" name="Clicked" />
         </Window>
-        <Window Type="MenuWidgets/Button" Name="orxonox/HostMenuBackButton" >
-            <Property Name="Text" Value="Back" />
-            <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
-            <Property Name="UnifiedAreaRect" Value="{{0.5125,0},{0.725,0},{0.7125,0},{0.775,0}}" />
-            <Event Name="Clicked" Function="HostMenu.HostMenuBackButton_clicked"/>
+        <Window name="HostMenuBackButton" type="MenuWidgets/Button">
+            <Property name="Text" value="Back" />
+            <Property name="MaxSize" value="{{1,0},{1,0}}" />
+            <Property name="Area" value="{{0.5125,0},{0.725,0},{0.7125,0},{0.775,0}}" />
+            <Event function="HostMenu.HostMenuBackButton_clicked" name="Clicked" />
         </Window>
     </Window>
 </GUILayout>
-
